Skip to content

Get deployment

GET
/api/v1/deployments/{id}
curl --request GET \
--url https://api.deploybase.eu/api/v1/api/v1/deployments/example \
--header 'Authorization: <Authorization>'

Returns details of a specific deployment (without logs)

id
required
string

Deployment ID (UUID)

OK

Media type application/json
object
data
meta
object
request_id
string
timestamp
string
trace_id
string
data
object
branch
string
build_finished_at
string
build_log
string
build_started_at
string
commit_hash
string
commit_message
string
created_at
string
created_by_email
string
deployed_at
string
file_count
integer
has_custom_404
boolean
has_spa_fallback
boolean
id
string
is_preview
boolean
preview_url
string
project_id
string
redirect_rules
Array<object>
object
force
boolean
from
string
status
integer
to
string
status
string
Allowed values: pending queued building deployed failed cancelled
team_id
string
total_bytes
integer
updated_at
string
url
string
Example
{
"data": {
"status": "pending"
}
}

Unauthorized

Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{
"code": "example",
"details": "example",
"error": "example",
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}

Not Found

Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{
"code": "example",
"details": "example",
"error": "example",
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}